@subheading gsasl_step64
@anchor{gsasl_step64}
@deftypefun {int} {gsasl_step64} (Gsasl_session * @var{sctx}, const char * @var{b64input}, char ** @var{b64output})
@var{sctx}: libgsasl client handle.

@var{b64input}: input base64 encoded byte array.

@var{b64output}: newly allocated output base64 encoded byte array.

This is a simple wrapper around @code{gsasl_step()} that base64 decodes
the input and base64 encodes the output.

The contents of the @code{b64output} buffer is unspecified if this
functions returns anything other than @code{GSASL_OK} or
@code{GSASL_NEEDS_MORE}.  If this function return @code{GSASL_OK} or
@code{GSASL_NEEDS_MORE}, however, the @code{b64output} buffer is allocated by
this function, and it is the responsibility of caller to deallocate
it by calling free (@code{b64output}).

@strong{Return value:} Returns @code{GSASL_OK} if authenticated terminated
successfully, @code{GSASL_NEEDS_MORE} if more data is needed, or error
code.
@end deftypefun

